Britive platform release 2026.03.01 is now live in production.

Create a policy for a specified profile

Prev Next
Post
/api/paps/{papId}/policies
Security
HTTP
Type bearer
Path parameters
papId
stringRequired
Body parameters
{
  "name": "ProfilePolicy_15dec",
  "description": "test",
  "isActive": true,
  "isDraft": false,
  "isReadOnly": false,
  "condition": {
    "timeOfAccess": {
      "dateSchedule": {
        "fromDate": "2022-12-18T00:30:00Z",
        "toDate": "2022-12-20T02:30:00Z",
        "timezone": "Europe/Paris"
      },
      "daysSchedule": {
        "fromTime": "2026-03-19T20:30:00Z",
        "toTime": "2026-03-19T21:30:00Z",
        "timezone": "Europe/Paris",
        "days": [
          "SATURDAY",
          "TUESDAY"
        ]
      }
    }
  },
  "settings": [
    {
      "settingsType": "ITSM",
      "connectionId": "71b94622-30ef-4d17-babb-94972ce4b2db",
      "connectionType": "servicenow",
      "isCommentRequired": false,
      "isITSMEnabled": true,
      "itsmFilterCriteria": [
        {
          "supportedTicketType": "change_request",
          "filter": {
            "sysparm_query": ""
          }
        }
      ]
    },
    {
      "settingsType": "JUSTIFICATION",
      "isJustificationRequired": true,
      "justificationRegex": "XYZ"
    }
  ],
  "members": {
    "users": [
      {
        "id": "CCy1O21HXuzSNzCp8vWI"
      }
    ]
  },
  "resource": "aziewhoieflmzqd4k7yf",
  "consumer": "papservice",
  "accessType": "Allow"
}
Expand All
object
id
string
name
string
description
string
isActive
boolean
isDraft
boolean
isReadOnly
boolean
condition
object
permissions
Array of object (PermissionDto)
object
id
string
name
string
description
string
consumer
string
actions
Array of string
string
resources
Array of string
string
isInline
boolean
isReadOnly
boolean
members
object (MemberDto)
id
string
name
string
memberType
string
Valid values[ "User", "Tag" ]
roles
Array of object (RoleDto)
object
id
string
name
string
description
string
permissions
Array of object (PermissionDto)
object
id
string
name
string
description
string
consumer
string
actions
Array of string
string
resources
Array of string
string
isInline
boolean
isReadOnly
boolean
isReadOnly
boolean
resources
Array of string
string
accessLevel
string
resource
string
consumer
string
accessType
string
resourceLabels
object
property*
Array of string additionalProperties
string
Responses
201

Created

object